Skip to navigation

Update labels of a Node Pool.

Deprecated
View as Markdown

Use to update the labels of a node pool. Deprecated, please use PATCH /api/v1/node-pools/{id} instead.

Authentication

AuthorizationBearer
Bearer authentication

Path parameters

clusterIdstringRequiredformat: "uuid"
Unique identifier of the cluster
nodepoolIdstringRequired
The unique id identifying the Node Pool.

Request

This endpoint expects an object.
labelKeystringOptional
key of node label for pool
labelValuestringOptional
value of node label for pool

Response

Node Pool update accepted.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
503
Service Unavailable Error